Bug 73555 - Other: The statistics tool is completely unlocalized concerning functions keyword
Summary: Other: The statistics tool is completely unlocalized concerning functions key...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.2 rc
Hardware: Other All
: medium major
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: BSA target:4.3.0 target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-13 13:42 UTC by Andy
Modified: 2014-01-21 10:56 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
screenshot showing formulas in English in French environment. (22.15 KB, image/png)
2014-01-13 14:22 UTC, sophie
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andy 2014-01-13 13:42:37 UTC
Problem description: 
The new statistics tool is localized from the point of view of text descriptors of results, but NOT for functions that are used. If used spreadsheet functions are localized, the tool will use the english language version producing a huge array of error messages.

Expected behavior:
All function calls in the tool should be locslized
              
Operating System: Windows 7
Version: 4.2.0.2 rc
Last worked in: 4.1.4.2 release
Comment 1 sophie 2014-01-13 14:21:51 UTC
Confirmed, I add a screenshot using FR langpack with Version: 4.2.0.2
Build ID: 601a398b803303d1a40a3299729531824fe0db56 under Linux - Set to New
Comment 2 sophie 2014-01-13 14:22:45 UTC
Created attachment 91950 [details]
screenshot showing formulas in English in French environment.
Comment 3 Eike Rathke 2014-01-13 14:48:56 UTC
(In reply to comment #0)
> Last worked in: 4.1.4.2 release

Can't be, new feature added for 4.2, see bug 66477.

Investigating.
Comment 4 Commit Notification 2014-01-13 17:09:36 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9570a27d3e2f56e9046a8bfacaafe9e3c9744ac5

resolved fdo#73555 compile statistics templates using English grammar



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Eike Rathke 2014-01-13 17:54:48 UTC
Pending review
for 4-2 at https://gerrit.libreoffice.org/7412
for 4-2-0 at https://gerrit.libreoffice.org/7413
Comment 6 Commit Notification 2014-01-16 20:12:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8461894a7b23c9d7b8123562847ed7689c8387eb&h=libreoffice-4-2

resolved fdo#73555 compile statistics templates using English grammar


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-01-21 10:56:41 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7b6dc462bbacd858df6a2defebd1fd1caa4d1b64&h=libreoffice-4-2-0

resolved fdo#73555 compile statistics templates using English grammar


It will be available already in LibreOffice 4.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.